Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 2408)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 2409)
@@ -66,59 +66,59 @@
 /**
  * A partition on a corpus. The partition is composed of {@link Part}s
  * 
- * The parts order depends on the Partition creation method used. 
+ * The parts order depends on the Partition creation method used.
  *
  * @author mdecorde
- * @author sjacquot 
+ * @author sjacquot
  * @author Jean-Philippe Magué
  * 
  */
 public class Partition extends org.txm.objects.Partition {
-
-	/** sum of parts size, stored for efficiency reasons**/
+	
+	/** sum of parts size, stored for efficiency reasons **/
 	int totalsize = -1;
-
+	
 	/** The property, if not null the partition will forge its own queries */
-	@Parameter(key=TXMPreferences.STRUCTURAL_UNIT_PROPERTY)
+	@Parameter(key = TXMPreferences.STRUCTURAL_UNIT_PROPERTY)
 	protected StructuralUnitProperty pProperty;
-
+	
 	/**
 	 * The parts property values to use, may be null.
 	 */
-	@Parameter(key=TXMPreferences.VALUES)
+	@Parameter(key = TXMPreferences.VALUES)
 	protected List<String> pValues;
-
+	
 	/**
 	 * The parts queries
 	 */
-	@Parameter(key=TXMPreferences.QUERIES)
+	@Parameter(key = TXMPreferences.QUERIES)
 	protected List<String> pQueries;
-
+	
 	/**
 	 * The parts names -> do the parts order
 	 */
-	@Parameter(key=CQPPreferences.PART_NAMES)
+	@Parameter(key = CQPPreferences.PART_NAMES)
 	protected List<String> pPartNames;
-
-
+	
+	
 	/**
 	 * 
 	 * @param parent
-	 * @throws NullPointerException 
+	 * @throws NullPointerException
 	 */
-	public Partition(CQPCorpus parent) throws NullPointerException	{
+	public Partition(CQPCorpus parent) throws NullPointerException {
 		super(parent);
 	}
-
+	
 	/**
 	 * 
 	 * @param parametersNodePath
 	 */
-	public Partition(String parametersNodePath)	{
+	public Partition(String parametersNodePath) {
 		super(parametersNodePath);
 	}
-
-
+	
+	
 	/**
 	 * Instantiates a new partition.
 	 *
@@ -126,14 +126,14 @@
 	 * @param name the name
 	 * @param queries the queries
 	 * @param partnames the partnames
-	 * @throws Exception 
+	 * @throws Exception
 	 */
 	public boolean _compute_with_lists() throws Exception {
-
+		
 		if (this.userName == null || this.userName.length() == 0) {
 			this.userName = "no_name";
 		}
-
+		
 		Log.fine(NLS.bind(SearchEngineCoreMessages.info_creatingNewPartition, this.getParent(), this.userName));
 		long start = System.currentTimeMillis();
 		
@@ -141,9 +141,9 @@
 		
 		for (int i = 0; i < pQueries.size(); i++) {
 			String queryS = pQueries.get(i);
-
+			
 			String partName = String.valueOf(i);
-			if (pPartNames != null && i < pPartNames.size())	{
+			if (pPartNames != null && i < pPartNames.size()) {
 				partName = pPartNames.get(i);
 			}
 			if (partName.trim().length() == 0) {
@@ -154,10 +154,10 @@
 		}
 		long end = System.currentTimeMillis();
 		Log.fine(NLS.bind(SearchEngineCoreMessages.info_partitionCreatedInXMs, this.userName, (end - start)));
-
+		
 		return pQueries.size() > 0;
 	}
-
+	
 	/**
 	 * Creates a new partition on a corpus given a structure, a property of this
 	 * structure and a list of values this property can take
@@ -170,23 +170,23 @@
 	 * @param structure the structure
 	 * @param property the property
 	 * @param values the values, raw values special chars will be backslashed
-	 * @throws Exception 
+	 * @throws Exception
 	 */
-
-	protected boolean _compute_with_property()	throws Exception {
-
+	
+	protected boolean _compute_with_property() throws Exception {
+		
 		CQPCorpus corpus = this.getParent();
 		if (this.userName == null || this.userName.length() == 0) {
 			this.userName = corpus.getName() + "_" + pProperty.getFullName(); //$NON-NLS-1$
 		}
-
+		
 		if (pValues == null) {
 			pValues = pProperty.getValues(corpus);
 		}
-
+		
 		// sort parts
 		HashMap<String, String> infos = this.getParent().getSAttributesInfos().get(pProperty.getFullName());
-
+		
 		String type = "String"; //$NON-NLS-1$
 		if (infos != null) {
 			type = infos.get("type"); //$NON-NLS-1$
@@ -196,65 +196,69 @@
 		}
 		else if (type.equals("Integer")) { //$NON-NLS-1$
 			Collections.sort(pValues, new Comparator<String>() {
+				
 				@Override
 				public int compare(String arg0, String arg1) {
 					int i0 = Integer.parseInt(arg0);
 					int i1 = Integer.parseInt(arg1);
 					return i0 - i1;
 				}
-			}); 
+			});
 		}
 		else if (type.equals("Date")) { //$NON-NLS-1$
 			String format = infos.get("inputFormat"); //$NON-NLS-1$
 			final DateFormat formater = new SimpleDateFormat(format);
 			Collections.sort(pValues, new Comparator<String>() {
+				
 				@Override
 				public int compare(String arg0, String arg1) {
 					try {
 						Date i0 = formater.parse(arg0);
 						Date i1 = formater.parse(arg1);
 						return i0.compareTo(i1);
-					} catch (ParseException e) {
+					}
+					catch (ParseException e) {
 						return arg0.compareTo(arg1);
 					}
 				}
-			}); 
+			});
 		}
-		else if (type.contains("|")){ //$NON-NLS-1$
+		else if (type.contains("|")) { //$NON-NLS-1$
 			final List<String> sortedValues = Arrays.asList(type.split("\\|")); //$NON-NLS-1$
 			Collections.sort(pValues, new Comparator<String>() {
+				
 				@Override
 				public int compare(String arg0, String arg1) {
 					int i0 = sortedValues.indexOf(arg0);
 					int i1 = sortedValues.indexOf(arg1);
-					return i0-i1;
+					return i0 - i1;
 				}
-			}); 
+			});
 		}
-
+		
 		pQueries = new ArrayList<>();
 		pPartNames = new ArrayList<>();
 		for (String value : pValues) {
-			String partName = value.replace("\\",""); //$NON-NLS-1$ //$NON-NLS-2$
+			String partName = value.replace("\\", ""); //$NON-NLS-1$ //$NON-NLS-2$
 			pPartNames.add(partName);
 			CQLQuery query = new QueryPart(pProperty.getStructuralUnit(), pProperty, CQLQuery.addBackSlash(value)); // second option is faster
 			
 			pQueries.add(query.getQueryString());
 		}
-
+		
 		return _compute_with_lists();
 	}
-
-
+	
+	
 	@Override
 	protected boolean _compute() throws Exception {
-
+		
 		// Parts already created
 		if (this.getParts().size() > 0) {
 			
 			if (monitor != null) monitor.beginTask("Building parts...", this.getParts().size());
-			//FIXME: temporary fix, compute all the children parts
-			List<Part> parts = (List<Part>)getChildren(Part.class);
+			// FIXME: temporary fix, compute all the children parts
+			List<Part> parts = (List<Part>) getChildren(Part.class);
 			for (int i = 0; i < parts.size(); i++) {
 				parts.get(i).compute();
 				if (monitor != null) monitor.worked(1);
@@ -262,7 +266,7 @@
 		}
 		else {
 			Log.finest(NLS.bind(SearchEngineCoreMessages.info_creatingNewPartition, this.getParent(), this.userName));
-
+			
 			if (this.pProperty != null) {
 				_compute_with_property();
 			}
@@ -273,17 +277,18 @@
 		totalsize = -1; // refresh total size at next call of getTotalSize
 		return true;
 	}
-
-	/* (non-Javadoc)
+	
+	/*
+	 * (non-Javadoc)
 	 * @see org.txm.objects.TxmObject#load()
 	 */
 	protected boolean _load(Element e) {
-
+		
 		// partition already computed
 		if (this.hasBeenComputedOnce) {
 			return true;
 		}
-
+		
 		if (e != null && this.getParent() != null) {
 			NodeList partList = e.getChildNodes();
 			for (int i = 0; i < partList.getLength(); i++) {
@@ -302,92 +307,93 @@
 					}
 				}
 			}
-			//this.loadMetadata();
+			// this.loadMetadata();
 			return true;
 		}
-
+		
 		return false;
 	}
-
+	
 	@Override
 	public boolean canCompute() {
 		return this.getParent() != null && (this.pProperty != null || (this.pQueries != null && this.pQueries.size() > 0));
 	}
-
+	
 	@Override
 	public void clean() {
 		// TODO Auto-generated method stub
 	}
-
+	
 	@Override
 	public int compareTo(TXMResult o) {
 		// Compare node weights
 		int output = super.compareTo(o);
 		// Compare simple names if weights are equal
-		if (output == 0)	{
+		if (output == 0) {
 			output = this.getSimpleName().compareToIgnoreCase(o.getSimpleName());
 		}
 		return output;
 	}
-
-	//	/**
-	//	 * TODO Part should be create lazily
-	//	 * 
-	//	 * Create a part with a raw query.
-	//	 *
-	//	 * @param partitionName the partition name
-	//	 * @param partName the part name
-	//	 * @param query the query
-	//	 * @return the part
-	//	 * @throws CqiClientException the cqi client exception
-	//	 * 
-	//	 * @author Sylvain Loiseau, mdecorde
-	//	 */
-	//	public Part createPart(String partitionName, String partName, String query) throws CqiClientException {
-	//		Part part;
-	//		String partCqpId = CqpObject.partNamePrefix + CQPCorpus.getNextSubcorpusCounter();
-	//		Log.finest(NLS.bind(TXMCoreMessages.CREATING_PART, partName, query));
-	//		long start = System.currentTimeMillis();
-	//		try {
-	//			CorpusManager.getCorpusManager().getCqiClient().cqpQuery(this.getParent().getQualifiedCqpId(), partCqpId, query);
-	//			part = new Part(this);
-	//			part.setParameters(partCqpId, partName, new CQLQuery(query));
-	//			part.compute();
-	//			// FIXME: persistence tests: define the UUID as the concatenation of all part CQP id
-	////			this.uniqueID += partCqpId;
+	
+	// /**
+	// * TODO Part should be create lazily
+	// *
+	// * Create a part with a raw query.
+	// *
+	// * @param partitionName the partition name
+	// * @param partName the part name
+	// * @param query the query
+	// * @return the part
+	// * @throws CqiClientException the cqi client exception
+	// *
+	// * @author Sylvain Loiseau, mdecorde
+	// */
+	// public Part createPart(String partitionName, String partName, String query) throws CqiClientException {
+	// Part part;
+	// String partCqpId = CqpObject.partNamePrefix + CQPCorpus.getNextSubcorpusCounter();
+	// Log.finest(NLS.bind(TXMCoreMessages.CREATING_PART, partName, query));
+	// long start = System.currentTimeMillis();
+	// try {
+	// CorpusManager.getCorpusManager().getCqiClient().cqpQuery(this.getParent().getQualifiedCqpId(), partCqpId, query);
+	// part = new Part(this);
+	// part.setParameters(partCqpId, partName, new CQLQuery(query));
+	// part.compute();
+	// // FIXME: persistence tests: define the UUID as the concatenation of all part CQP id
+	//// this.uniqueID += partCqpId;
 	//
-	//		} catch (Exception e) {
-	//			try {
-	//				throw new CqiClientException(TXMCoreMessages.failedToCreatePartColon + partitionName + "_" + partName + e + " last error: " + CQPSearchEngine.getCqiClient().getLastCQPError()); //$NON-NLS-1$ //$NON-NLS-2$
-	//			} catch (Exception e1) {
-	//				Log.severe(TXMCoreMessages.failedToGetLastCQPErrorColon + e1);
-	//				org.txm.utils.logger.Log.printStackTrace(e1);
-	//				return null;
-	//			}
-	//		}
-	//		long end = System.currentTimeMillis();
-	//		Log.finest(NLS.bind(TXMCoreMessages.info_partCreatedInXMs, partitionName + "_" + partName, (end - start))); //$NON-NLS-1
+	// } catch (Exception e) {
+	// try {
+	// throw new CqiClientException(TXMCoreMessages.failedToCreatePartColon + partitionName + "_" + partName + e + " last error: " + CQPSearchEngine.getCqiClient().getLastCQPError()); //$NON-NLS-1$
+	// //$NON-NLS-2$
+	// } catch (Exception e1) {
+	// Log.severe(TXMCoreMessages.failedToGetLastCQPErrorColon + e1);
+	// org.txm.utils.logger.Log.printStackTrace(e1);
+	// return null;
+	// }
+	// }
+	// long end = System.currentTimeMillis();
+	// Log.finest(NLS.bind(TXMCoreMessages.info_partCreatedInXMs, partitionName + "_" + partName, (end - start))); //$NON-NLS-1
 	//
-	//		return part;
-	//	}
-
-
+	// return part;
+	// }
+	
+	
 	@Override
 	public String getDetails() {
 		return this.getName();
 	}
-
+	
 	@Override
 	public String getSimpleName() {
 		return this.userName;
 	}
-
+	
 	@Override
 	public String getName() {
 		String name = this.userName;
 		int partsCount = this.getPartsCount();
 		
-		if(partsCount > 0)	{
+		if (partsCount > 0) {
 			name += NLS.bind(" ({0})", partsCount);
 		}
 		
@@ -398,8 +404,8 @@
 	public String getComputingStartMessage() {
 		return TXMCoreMessages.bind("Création de la partition {0} dans le corpus {1}...", this.getSimpleName(), this.getCorpus().getName());
 	}
-
 	
+	
 	@Override
 	public String getComputingDoneMessage() {
 		return TXMCoreMessages.bind(TXMCoreMessages.P0BuiltParts, this.getPartsCount());
@@ -413,7 +419,7 @@
 	public int getPartsCount() {
 		return this.getParts().size();
 	}
-
+	
 	/**
 	 * Gets the name of the parts.
 	 * 
@@ -422,16 +428,17 @@
 	public List<String> getPartNames() {
 		if (this.hasBeenComputedOnce()) {
 			List<Part> parts = this.getParts();
-			List<String> partNames = new ArrayList<String>(parts.size());
+			List<String> partNames = new ArrayList<>(parts.size());
 			for (Subcorpus part : this.getParts()) {
 				partNames.add(part.getName());
 			}
 			return partNames;
-		} else {
+		}
+		else {
 			return this.pPartNames;
 		}
 	}
-
+	
 	/**
 	 * Gets the children parts.
 	 * 
@@ -441,7 +448,7 @@
 	public List<Part> getParts() {
 		return (List<Part>) this.getChildren(Part.class);
 	}
-
+	
 	/**
 	 * Gets the part sizes as int array.
 	 * 
@@ -452,13 +459,13 @@
 	 */
 	public int[] getPartSizes() throws CqiClientException {
 		int[] partSizes = new int[this.getParts().size()];
-		for (int i = 0 ; i < getParts().size() ; i++) {
+		for (int i = 0; i < getParts().size(); i++) {
 			Part p = this.getParts().get(i);
 			partSizes[i] = p.getSize();
 		}
 		return partSizes;
 	}
-
+	
 	/**
 	 * Gets the property.
 	 *
@@ -467,7 +474,7 @@
 	public Property getProperty() {
 		return pProperty;
 	}
-
+	
 	/**
 	 * Gets the structure.
 	 *
@@ -477,14 +484,15 @@
 		if (pProperty == null) return null;
 		return pProperty.getStructuralUnit();
 	}
-
+	
 	/**
 	 * Gets the total of all part sizes.
+	 * 
 	 * @return
 	 * @throws CqiClientException
 	 */
 	public int getTotalSize() throws CqiClientException {
-
+		
 		if (totalsize == -1) {
 			totalsize = 0;
 			for (Part p : getParts()) {
@@ -493,8 +501,8 @@
 		}
 		return totalsize;
 	}
-
-
+	
+	
 	/**
 	 * Run a query on all the parts of this partition.
 	 * 
@@ -511,78 +519,80 @@
 	public List<QueryResult> query(CQLQuery query, String name) throws CqiClientException {
 		Log.finest(TXMCoreMessages.queryingPartitionP0 + this.userName);
 		List<Part> parts = getParts();
-		List<QueryResult> results = new ArrayList<QueryResult>(parts.size());
+		List<QueryResult> results = new ArrayList<>(parts.size());
 		for (Subcorpus part : parts) {
 			results.add(part.query(query, part.getName() + "_" + name, false)); //$NON-NLS-1$
 		}
 		return results;
 	}
-
-	//	/**
-	//	 * Register to parent.
-	//	 */
-	//	public void registerToParent() {
-	//		//registerToParent(this.name);
-	//	}
+	
+	// /**
+	// * Register to parent.
+	// */
+	// public void registerToParent() {
+	// //registerToParent(this.name);
+	// }
 	//
-	//	/**
-	//	 * Register to parent.
-	//	 *
-	//	 * @param partitionName the partition name
-	//	 */
-	//	private void registerToParent(String partitionName) {
-	////		if (this.getSelfElement() == null && this.getParent() != null)
-	////			try {
-	////				Element parentElem = (Element) this.getParent().getSelfElement();
-	////				if (parentElem == null) return;
-	////				Document doc = parentElem.getOwnerDocument();
-	////				Element corporaElem;
-	////				if (this.getParent() instanceof MainCorpus) {
-	////					NodeList corporaList = parentElem.getElementsByTagName("preBuild"); //$NON-NLS-1$
-	////					corporaElem = (Element) corporaList.item(0);
-	////				} else {
-	////					corporaElem = parentElem;
-	////				}
-	////				Element partitionElem = doc.createElement("partition"); //$NON-NLS-1$
-	////				partitionElem.setAttribute("name", partitionName); //$NON-NLS-1$
-	////				corporaElem.appendChild(partitionElem);
-	////				this.setSelfElement(partitionElem);
-	////				for (Part p : getParts()) {
-	////					Element partElem = doc.createElement("part"); //$NON-NLS-1$
-	////					partElem.setAttribute("name", p.getName()); //$NON-NLS-1$
-	////					partElem.setAttribute("shortname", p.getShortName()); //$NON-NLS-1$
-	////					partElem.setAttribute("query", p.getQuery().getQueryString()); //$NON-NLS-1$
-	////					partitionElem.appendChild(partElem);
-	////				}
-	////			} catch (Exception e) {
-	////				System.out.println(TXMCoreMessages.Partition_21+e);
-	////			}
-	////		this._load();
-	//	}
-
-	//	public TxmObject removeChildren(TxmObject children) {
-	//		if (children instanceof Part) {
-	//			if (children.getSelfElement() != null && children.getSelfElement().getParentNode() == getSelfElement())
-	//				getSelfElement().removeChild(children.getSelfElement());
-	//			return children;
-	//		}
-	//		return null;
-	//	}
-
+	// /**
+	// * Register to parent.
+	// *
+	// * @param partitionName the partition name
+	// */
+	// private void registerToParent(String partitionName) {
+	//// if (this.getSelfElement() == null && this.getParent() != null)
+	//// try {
+	//// Element parentElem = (Element) this.getParent().getSelfElement();
+	//// if (parentElem == null) return;
+	//// Document doc = parentElem.getOwnerDocument();
+	//// Element corporaElem;
+	//// if (this.getParent() instanceof MainCorpus) {
+	//// NodeList corporaList = parentElem.getElementsByTagName("preBuild"); //$NON-NLS-1$
+	//// corporaElem = (Element) corporaList.item(0);
+	//// } else {
+	//// corporaElem = parentElem;
+	//// }
+	//// Element partitionElem = doc.createElement("partition"); //$NON-NLS-1$
+	//// partitionElem.setAttribute("name", partitionName); //$NON-NLS-1$
+	//// corporaElem.appendChild(partitionElem);
+	//// this.setSelfElement(partitionElem);
+	//// for (Part p : getParts()) {
+	//// Element partElem = doc.createElement("part"); //$NON-NLS-1$
+	//// partElem.setAttribute("name", p.getName()); //$NON-NLS-1$
+	//// partElem.setAttribute("shortname", p.getShortName()); //$NON-NLS-1$
+	//// partElem.setAttribute("query", p.getQuery().getQueryString()); //$NON-NLS-1$
+	//// partitionElem.appendChild(partElem);
+	//// }
+	//// } catch (Exception e) {
+	//// System.out.println(TXMCoreMessages.Partition_21+e);
+	//// }
+	//// this._load();
+	// }
+	
+	// public TxmObject removeChildren(TxmObject children) {
+	// if (children instanceof Part) {
+	// if (children.getSelfElement() != null && children.getSelfElement().getParentNode() == getSelfElement())
+	// getSelfElement().removeChild(children.getSelfElement());
+	// return children;
+	// }
+	// return null;
+	// }
+	
+	@Override
 	public CQPCorpus getParent() {
 		return (CQPCorpus) super.getParent();
 	}
-
+	
 	/**
 	 * Remove the specified <code>Part</code> from the partition.
+	 * 
 	 * @param p
 	 * @throws CqiClientException
 	 */
 	public void removePart(Part p) throws CqiClientException {
 		p.delete();
 	}
-
-
+	
+	
 	@Override
 	public String toString() {
 		if (!this.userName.isEmpty()) {
@@ -590,14 +600,14 @@
 		}
 		return super.toString();
 	}
-
-
+	
+	
 	@Override
 	public boolean toTxt(File output, String encoding, String colseparator, String txtseparator) throws Exception {
 		IOUtils.write(output, this.dumpPreferences());
 		return output.exists();
 	}
-
+	
 	public boolean setParameters(String name, StructuralUnitProperty property, List<String> values) {
 		this.pProperty = property;
 		this.pValues = values;
@@ -606,7 +616,7 @@
 		this.pPartNames = null;
 		return true;
 	}
-
+	
 	public boolean setParameters(String name, List<String> queries, List<String> names) {
 		this.pProperty = null;
 		this.pValues = null;
@@ -615,99 +625,107 @@
 		this.pPartNames = names;
 		return true;
 	}
-
+	
 	@Override
 	public boolean setParameters(TXMParameters parameters) {
 		this.userName = parameters.getString(TXMPreferences.USER_NAME);
 		String tmp = parameters.getString(CQPPreferences.PART_NAMES);
 		if (tmp != null) {
 			this.pPartNames = Arrays.asList(tmp.split("\t"));
-		} else {
+		}
+		else {
 			this.pPartNames = null;
 		}
-
+		
 		try {
 			this.pProperty = StructuralUnitProperty.stringToStructuralUnitProperty(getParent(), parameters.getString(TXMPreferences.STRUCTURAL_UNIT_PROPERTY));
-		} catch (CqiClientException e) {
+		}
+		catch (CqiClientException e) {
 			// TODO Auto-generated catch block
 			e.printStackTrace();
 			this.pProperty = null;
 		}
-
+		
 		tmp = parameters.getString(CQPPreferences.QUERIES);
 		if (tmp != null) {
 			this.pQueries = Arrays.asList(tmp.split("\t"));
-		} else {
+		}
+		else {
 			this.pQueries = null;
 		}
-
+		
 		tmp = parameters.getString(CQPPreferences.VALUES);
 		if (tmp != null) {
 			this.pValues = Arrays.asList(tmp.split("\t"));
-		} else {
+		}
+		else {
 			this.pValues = null;
 		}
 		return true;
 	}
-
+	
 	@Override
 	public boolean loadParameters() {
 		String tmp = null;
 		try {
 			tmp = this.getStringParameterValue(TBXPreferences.STRUCTURAL_UNIT_PROPERTY);
-			if (!tmp.isEmpty())	{
+			if (!tmp.isEmpty()) {
 				this.pProperty = StructuralUnitProperty.stringToStructuralUnitProperty(this.getParent(), tmp);
 			}
-		} catch (CqiClientException e) {
+		}
+		catch (CqiClientException e) {
 			// TODO Auto-generated catch block
 			e.printStackTrace();
 		}
-
+		
 		tmp = this.getStringParameterValue(CQPPreferences.PART_NAMES);
 		if (tmp != null) {
 			this.pPartNames = Arrays.asList(tmp.split("\t"));
-		} else {
+		}
+		else {
 			this.pPartNames = null;
 		}
-
+		
 		tmp = this.getStringParameterValue(TXMPreferences.QUERIES);
 		if (tmp != null) {
 			this.pQueries = Arrays.asList(tmp.split("\t"));
-		} else {
+		}
+		else {
 			this.pQueries = null;
 		}
-
+		
 		tmp = this.getStringParameterValue(TXMPreferences.VALUES);
 		if (tmp != null) {
 			this.pValues = Arrays.asList(tmp.split("\t"));
-		} else {
+		}
+		else {
 			this.pValues = null;
 		}
 		return true;
 	}
-
+	
 	@Override
 	public boolean saveParameters() {
-
-		if (this.pProperty != null)	{
+		
+		if (this.pProperty != null) {
 			this.saveParameter(TXMPreferences.STRUCTURAL_UNIT_PROPERTY, this.pProperty.getName());
 		}
-
-		if (this.pPartNames != null)	{
+		
+		if (this.pPartNames != null) {
 			this.saveParameter(CQPPreferences.PART_NAMES, StringUtils.join(pPartNames, "\t"));
 		}
-
-		if (this.pQueries != null)	{
+		
+		if (this.pQueries != null) {
 			this.saveParameter(TXMPreferences.QUERIES, StringUtils.join(pQueries, "\t"));
 		}
-
-		if (this.pValues != null)	{
+		
+		if (this.pValues != null) {
 			this.saveParameter(TBXPreferences.VALUES, StringUtils.join(pValues, "\t"));
 		}
-
+		
 		return true;
 	}
-
+	
 	/**
 	 * Get the safe values (special char regexp safe).
 	 *
@@ -716,32 +734,33 @@
 	 * @return the safe values
 	 * @throws CqiClientException the cqi client exception
 	 */
-	private static List<String> getSafeValues(StructuralUnitProperty property, CQPCorpus corpus) throws CqiClientException	{
+	private static List<String> getSafeValues(StructuralUnitProperty property, CQPCorpus corpus) throws CqiClientException {
 		List<String> values = property.getValues(corpus);
-		for (int i = 0 ; i < values.size() ; i++) {
+		for (int i = 0; i < values.size(); i++) {
 			values.set(i, CQLQuery.addBackSlash(values.get(i)));
 		}
 		return values;
 	}
-
+	
 	@Override
 	public String getResultType() {
 		return "Partition";
 	}
-
+	
 	/**
 	 * Gets the parent Partition of the specified result if exists.
+	 * 
 	 * @param result
 	 * @return the parent Partition if exists otherwise null
 	 */
 	synchronized public static Partition getFirstParentPartition(TXMResult result) {
 		return (Partition) result.getFirstParent(Partition.class);
 	}
-
-
+	
+	
 	@Override
 	public CQPCorpus getCorpus() {
 		return (CQPCorpus) parent;
 	}
-
-}
\ No newline at end of file
+	
+}
